#ifndef ADDANSWERMLE_H
#define ADDANSWERMLE_H

#include "ui_addanswerwidget.h"
#include <QtWidgets>
#include <QtGui>

class AddAnswerWidget : public QWidget, private Ui::AddAnswerWidget
{
  Q_OBJECT
  public:
    explicit AddAnswerWidget( QWidget *parent = 0 );
    QString getDEAnswerText( void );
    QString getENAnswerText( void );
    QString getEEAnswerText( void );
    QString getDEExplanationText( void );
    QString getENExplanationText( void );
    QString getEEExplanationText( void );
    bool isAnswerTrue( void );
    bool isSomeoneEmpty( void );
    void reset( void );
  public slots:
    void showExplanationMLE( bool state );
};

#endif // ADDANSWERMLE_H
